cURL
curl https://api.exponent.finance/balances/vault/4hZugBhgd3xxShK5iHbBAwCnJUjthiStT6LnruRwarjr
import requests
response = requests.get("https://api.exponent.finance/balances/vault/4hZugBhgd3xxShK5iHbBAwCnJUjthiStT6LnruRwarjr", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/balances/vault/4hZugBhgd3xxShK5iHbBAwCnJUjthiStT6LnruRwarjr");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"12KaDoww3wCN66nfh3XpA531C7P8uFKen8TDrq4gSHP2": {
"pt": {
"core_balance": "0",
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": null,
"last_core_tx_signature": null,
"last_orderbook_tx_signature": null
},
"yt": {
"core_balance": "16703841545",
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": "2026-10-14T15:11:12.693+00:00",
"last_core_tx_signature": "4waHQjUXKYWnS9xBv6aPwdneTdybD6wZUP1qJG8HPXbYLf7RYQcCh4MrkvbiUAUpx6VxAhx9RoXEfacdqY716fiY",
"last_orderbook_tx_signature": null,
"sy_equivalent_balance": "16703841545.00000000"
},
"sy": {
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": null,
"last_orderbook_tx_signature": null
},
"legacy_lp": {
"core_balance": "0",
"last_updated_at": null,
"last_tx_signature": null
},
"clmm_lp": []
},
"13TfMtm3X6mFPtmREXQMgshpuwTo76XZ5rQynBKswM96": {
"pt": {
"core_balance": "0",
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": null,
"last_core_tx_signature": null,
"last_orderbook_tx_signature": null
},
"yt": {
"core_balance": "2747849248",
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": "2026-10-14T15:11:12.693+00:00",
"last_core_tx_signature": "2uzb3nZ1aZYdwRWWxy5Zt2aYYoSbpRiqBDYmNbxKRFFPJSZNQSEecNiDDSbikeAUCeewXL6BbmoRYd6A8vcGpvHB",
"last_orderbook_tx_signature": null,
"sy_equivalent_balance": "2747849248.00000000"
},
"sy": {
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": null,
"last_orderbook_tx_signature": null
},
"legacy_lp": {
"core_balance": "0",
"last_updated_at": null,
"last_tx_signature": null
},
"clmm_lp": []
}
}
{
"error": "<message>"
}
Balances
Wallet balances in a vault
Returns all wallets in a vault with any non-zero PT balance, YT balance, orderbook SY balance, legacy LP balance, or CLMM LP position.
GET
/
balances
/
vault
/
{vaultAddress}
cURL
curl https://api.exponent.finance/balances/vault/4hZugBhgd3xxShK5iHbBAwCnJUjthiStT6LnruRwarjr
import requests
response = requests.get("https://api.exponent.finance/balances/vault/4hZugBhgd3xxShK5iHbBAwCnJUjthiStT6LnruRwarjr", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/balances/vault/4hZugBhgd3xxShK5iHbBAwCnJUjthiStT6LnruRwarjr");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"12KaDoww3wCN66nfh3XpA531C7P8uFKen8TDrq4gSHP2": {
"pt": {
"core_balance": "0",
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": null,
"last_core_tx_signature": null,
"last_orderbook_tx_signature": null
},
"yt": {
"core_balance": "16703841545",
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": "2026-10-14T15:11:12.693+00:00",
"last_core_tx_signature": "4waHQjUXKYWnS9xBv6aPwdneTdybD6wZUP1qJG8HPXbYLf7RYQcCh4MrkvbiUAUpx6VxAhx9RoXEfacdqY716fiY",
"last_orderbook_tx_signature": null,
"sy_equivalent_balance": "16703841545.00000000"
},
"sy": {
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": null,
"last_orderbook_tx_signature": null
},
"legacy_lp": {
"core_balance": "0",
"last_updated_at": null,
"last_tx_signature": null
},
"clmm_lp": []
},
"13TfMtm3X6mFPtmREXQMgshpuwTo76XZ5rQynBKswM96": {
"pt": {
"core_balance": "0",
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": null,
"last_core_tx_signature": null,
"last_orderbook_tx_signature": null
},
"yt": {
"core_balance": "2747849248",
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": "2026-10-14T15:11:12.693+00:00",
"last_core_tx_signature": "2uzb3nZ1aZYdwRWWxy5Zt2aYYoSbpRiqBDYmNbxKRFFPJSZNQSEecNiDDSbikeAUCeewXL6BbmoRYd6A8vcGpvHB",
"last_orderbook_tx_signature": null,
"sy_equivalent_balance": "2747849248.00000000"
},
"sy": {
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": null,
"last_orderbook_tx_signature": null
},
"legacy_lp": {
"core_balance": "0",
"last_updated_at": null,
"last_tx_signature": null
},
"clmm_lp": []
}
}
{
"error": "<message>"
}
Path parameters
string
required
Vault address.
sy_equivalent_balance, calculated from the wallet’s total tracked YT balance:
(core_balance + orderbook_open + orderbook_filled) / latest SY exchange rate
price for the vault’s SY token in timeseries.sy_prices. The value is returned as a raw-unit decimal string, or null when no valid exchange rate is available.
SY currently has no tracked core balance. Its object contains only the open and filled orderbook balances and their update metadata.
Example request
cURL
curl https://api.exponent.finance/balances/vault/4hZugBhgd3xxShK5iHbBAwCnJUjthiStT6LnruRwarjr
import requests
response = requests.get("https://api.exponent.finance/balances/vault/4hZugBhgd3xxShK5iHbBAwCnJUjthiStT6LnruRwarjr", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/balances/vault/4hZugBhgd3xxShK5iHbBAwCnJUjthiStT6LnruRwarjr");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"12KaDoww3wCN66nfh3XpA531C7P8uFKen8TDrq4gSHP2": {
"pt": {
"core_balance": "0",
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": null,
"last_core_tx_signature": null,
"last_orderbook_tx_signature": null
},
"yt": {
"core_balance": "16703841545",
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": "2026-10-14T15:11:12.693+00:00",
"last_core_tx_signature": "4waHQjUXKYWnS9xBv6aPwdneTdybD6wZUP1qJG8HPXbYLf7RYQcCh4MrkvbiUAUpx6VxAhx9RoXEfacdqY716fiY",
"last_orderbook_tx_signature": null,
"sy_equivalent_balance": "16703841545.00000000"
},
"sy": {
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": null,
"last_orderbook_tx_signature": null
},
"legacy_lp": {
"core_balance": "0",
"last_updated_at": null,
"last_tx_signature": null
},
"clmm_lp": []
},
"13TfMtm3X6mFPtmREXQMgshpuwTo76XZ5rQynBKswM96": {
"pt": {
"core_balance": "0",
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": null,
"last_core_tx_signature": null,
"last_orderbook_tx_signature": null
},
"yt": {
"core_balance": "2747849248",
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": "2026-10-14T15:11:12.693+00:00",
"last_core_tx_signature": "2uzb3nZ1aZYdwRWWxy5Zt2aYYoSbpRiqBDYmNbxKRFFPJSZNQSEecNiDDSbikeAUCeewXL6BbmoRYd6A8vcGpvHB",
"last_orderbook_tx_signature": null,
"sy_equivalent_balance": "2747849248.00000000"
},
"sy": {
"orderbook_open": "0",
"orderbook_filled": "0",
"last_updated_at": null,
"last_orderbook_tx_signature": null
},
"legacy_lp": {
"core_balance": "0",
"last_updated_at": null,
"last_tx_signature": null
},
"clmm_lp": []
}
}
{
"error": "<message>"
}